For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet invoices
      • POSTRequest financing for invoices
      • GETGet financing offers and the business status
      • POSTCreate a token for Kanmon SDK
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonFinancing

Get financing offers and the business status

GET
/financing_offers
GET
/v1/financing_offers
$curl https://api.sandbox.monite.com/v1/financing_offers \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "business_status": "NEW",
3 "offers": [
4 {
5 "currency": "AED",
6 "pricing_plans": [
7 {
8 "advance_rate_percentage": 1,
9 "fee_percentage": 1,
10 "repayment_type": "MULTIPLE_DURATION",
11 "repayment_duration_days": 1
12 }
13 ],
14 "status": "NEW",
15 "total_amount": 1000000,
16 "available_amount": 500000
17 }
18 ]
19}
Returns a list of financing offers and the business's onboarding status
Was this page helpful?
Previous

Create a token for Kanmon SDK

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
business_statusenum
The business's onboarding status.
Allowed values:
offerslist of objects
A list of financing offers extended to the business.

Errors

422
Get Financing Offers Request Unprocessable Entity Error
500
Get Financing Offers Request Internal Server Error